Bug 195733 - [Async overflow scrolling] Update positioned node layers when overflows are scrolled
Summary: [Async overflow scrolling] Update positioned node layers when overflows are s...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on: 195780
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-13 20:36 PDT by Simon Fraser (smfr)
Modified: 2019-03-15 09:26 PDT (History)
7 users (show)

See Also:


Attachments
Code ready, needs tests. (24.69 KB, patch)
2019-03-13 20:44 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Code ready, needs tests (25.49 KB, patch)
2019-03-13 20:51 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Code ready, needs tests (25.50 KB, patch)
2019-03-13 21:04 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.89 MB, application/zip)
2019-03-13 23:00 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews200 for win-future (12.88 MB, application/zip)
2019-03-14 00:47 PDT, Build Bot
no flags Details
Patch (35.50 KB, patch)
2019-03-14 17:54 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2019-03-13 20:36:47 PDT
[Coordinated Scrolling] Update positioned node layers when overflows are scrolled
Comment 1 Simon Fraser (smfr) 2019-03-13 20:44:55 PDT Comment hidden (obsolete)
Comment 2 Simon Fraser (smfr) 2019-03-13 20:44:57 PDT
<rdar://problem/11642295>
Comment 3 Simon Fraser (smfr) 2019-03-13 20:51:49 PDT Comment hidden (obsolete)
Comment 4 Simon Fraser (smfr) 2019-03-13 21:04:29 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2019-03-13 23:00:04 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2019-03-13 23:00:06 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2019-03-14 00:46:55 PDT Comment hidden (obsolete)
Comment 8 Build Bot 2019-03-14 00:47:06 PDT Comment hidden (obsolete)
Comment 9 Simon Fraser (smfr) 2019-03-14 17:54:21 PDT
Created attachment 364737 [details]
Patch
Comment 10 Antti Koivisto 2019-03-15 08:50:37 PDT
Comment on attachment 364737 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=364737&action=review

r=me

> Source/WebCore/page/scrolling/cocoa/ScrollingTreePositionedNode.mm:80
> +    // Note that we ignore cumulativeDelta because it will contain the delta for ancestor scrollers,
> +    // but not non-ancestor ones, so it's simpler to just recompute from the scrollers we know about here.

Would be nice to have a single unified way to do this everywhere.
Comment 11 WebKit Commit Bot 2019-03-15 09:26:15 PDT
Comment on attachment 364737 [details]
Patch

Clearing flags on attachment: 364737

Committed r242997: <https://trac.webkit.org/changeset/242997>
Comment 12 WebKit Commit Bot 2019-03-15 09:26:17 PDT
All reviewed patches have been landed.  Closing bug.